internal class Program
{
    static long ProizvodCifara(long broj) 
    {
        long resenje = 1;
        while (broj > 0)
        {
            resenje *= broj % 10;
            broj /= 10;
        }
        return resenje;
    }
    static long abakus(long ulaz) 
    {
        if (ulaz < 10) return ulaz;
        HashSet<long> set = new HashSet<long>();
        for (int i = 1; i <= ulaz; i++) set.Add(ProizvodCifara(i));
        return set.Count;
    }
    static void Main(string[] args)
    {
        int Q = int.Parse(Console.ReadLine());
        while (Q > 0)
        {
            Console.WriteLine(abakus(long.Parse(Console.ReadLine())));
            Q--;
        }
    }
}